package com.persagy.iottransfer.server;

import com.persagy.iottransfer.communication.mina.tcp.server.TCPServerManager;
import com.persagy.iottransfer.communication.mina.udp.server.UDPServerManager;
import com.persagy.iottransfer.config.CollectServerProperties;
import com.persagy.iottransfer.config.ControlServerProperties;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @description:
 * @author:lgy
 * @data:2021/8/26 15:18
 */
@Service
public class IotServer {
    public static TCPServerManager tcpCollectServerManager = TCPServerManager.builder().build();
    public static TCPServerManager tcpControlServerManager = TCPServerManager.builder().build();

    @Autowired
    CollectServerProperties collectServerProperties;
    @Autowired
    ControlServerProperties controlServerProperties;

    public void init() {

        if (collectServerProperties.getTcp_enable()) {
            tcpCollectServerManager = new TCPServerManager(collectServerProperties.getTcp_bind_ip(), collectServerProperties.getTcp_bind_port(), "utf-8", collectServerProperties.getCompress(), collectServerProperties.getMax_size(), (byte) collectServerProperties.getSeparate_begin().charAt(0),
                    (byte) collectServerProperties.getSeparate_end().charAt(0));
            tcpCollectServerManager.hasRemark(100);
            tcpCollectServerManager.Start();
        }

        if (controlServerProperties.getTcp_enable()) {
            tcpControlServerManager = new TCPServerManager(controlServerProperties.getTcp_bind_ip(), controlServerProperties.getTcp_bind_port(), "utf-8", controlServerProperties.getCompress(), controlServerProperties.getMax_size(), (byte) controlServerProperties.getSeparate_begin().charAt(0),
                    (byte) controlServerProperties.getSeparate_end().charAt(0));
            tcpControlServerManager.hasRemark(100);
            tcpControlServerManager.Start();

        }

//    public static  UDPServerManager udpCollectServerManager = UDPServerManager.builder().build();
//    public static  UDPServerManager udpControlServerManager = UDPServerManager.builder().build();
//        if (collectServerProperties.getUdp_enable()) {
//            udpCollectServerManager = new UDPServerManager(collectServerProperties.getUdp_bind_ip(), collectServerProperties.getUdp_bind_port(), "utf-8", collectServerProperties.getCompress(), collectServerProperties.getMax_size());
//            udpCollectServerManager.hasRemark(100);
//            udpCollectServerManager.Start();
//        }
//        if (controlServerProperties.getUdp_enable()) {
//            udpControlServerManager = new UDPServerManager(controlServerProperties.getUdp_bind_ip(), controlServerProperties.getUdp_bind_port(), "utf-8", controlServerProperties.getCompress(), controlServerProperties.getMax_size());
//            udpControlServerManager.hasRemark(100);
//            udpControlServerManager.Start();
//        }
    }


}
